解决 Ubuntu 15.04 上采用官方源安装新版 mongoDB 失败问题

解决 Ubuntu 15.04 上面 mongoDB 采用官方源的安装失败问题
在使用 Nodejs 配合 mongoDB 开发 Web 应用的过程中,install mongoDB 的 Nodejs driver 时的往往需要提前把 MongoDB 安装妥当,而在最新版本的 Ubuntu 15.04 上通过 mongoDB 官方 Doc 的引导,安装则会提示无法找到相关的软件。而原因则是「官方的引导教程只支持 LTS 版本,即提供对长期发行版的支持」

##解决方案:

  1. 通过 mongoDB 官方提供的 Debian 发行版的包安装:
    在 Vivid 版本里,可以使用 Debian 版的包来通过曲线救国的方法来安装 mongoDB
    添加至软件源列表至 Ubuntu :

    echo “deb http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.0 main” | sudo tee /etc/apt/sources.list.d/mongodb-org-3.0.list

添加相关 Key:

sudo apt-key adv —keyserver keyserver.ubuntu.com —recv 7F0CEB10

更新列表:

sudo apt-get update

最后开始安装:

sudo apt-get install -y mongodb-org

如果觉得速度过慢,全局启用 shadowsocks 或者 VPN 流量走国外,效果会有所改善。

Ubuntu release
根据官方的来源消息,新的相关安装支持将会在下一个 LTS (16.04)版添加上去。